Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228966 - Basket-1.0 should have a sub-package basket-kontact-plugin
Summary: Basket-1.0 should have a sub-package basket-kontact-plugin
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: basket
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 09:28 UTC by Laurent Rineau
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-17 07:59:48 UTC


Attachments (Terms of Use)
Patch for basket-1.0-1, to add a sub-package basket-kontact-plugin. (deleted)
2007-02-16 09:28 UTC, Laurent Rineau
no flags Details | Diff

Description Laurent Rineau 2007-02-16 09:28:07 UTC
Description of problem:
basket-1.0-1 installs files in subdirectories of %{_datadir}/apps/kontact/ 
and %{_datadir}/services/kontact/. These two directories are owned by kdepim.

It means that backet must require kdepim to be installed. We actually do not 
want basket to require kdepim, as basket can be run without any component of 
kdepim. basket should only requires stuff from kdebase and kdelibs. It would 
be better to make a sub-package basket-kontact-plugin.

Version-Release number of selected component (if applicable):
basket-1.0-1.fc6

Additional info:
I have a patch.

Comment 1 Laurent Rineau 2007-02-16 09:28:07 UTC
Created attachment 148179 [details]
Patch for basket-1.0-1, to add a sub-package basket-kontact-plugin.

Comment 2 Aurelien Bompard 2007-02-17 07:59:48 UTC
Patch applied, thanks ! Basket is rebuilding right now.


Note You need to log in before you can comment on or make changes to this bug.